package cn.superdesk.uniorder.common.enums.lnss;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @author kite
 * @version 1.0
 * @date 2019/8/24
 */
public enum ConfirmStatusEnum {

    CONFIRM(1,"确认"),

    CANCEL(0,"取消"),

    ;

    private Integer key;
    private String desc;

    ConfirmStatusEnum(int key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public int getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(int key) {
        for (ConfirmStatusEnum c : ConfirmStatusEnum.values()) {
            if (c.key == key) {
                return c.getDesc();
            }
        }
        return null;
    }

    private static final Map<Integer, ConfirmStatusEnum> LOOKUP = new HashMap<>();

    static {
        for(ConfirmStatusEnum s : EnumSet.allOf(ConfirmStatusEnum.class)) {
            LOOKUP.put(s.getKey(), s);
        }
    }

    /**
     * 方向查找枚举类
     * @param key
     * @return
     */
    public static ConfirmStatusEnum get(Integer key) {
        return LOOKUP.get(key);
    }
}
